<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: melon::SupportVectorMachine&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classmelon_1_1_support_vector_machine.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classmelon_1_1_support_vector_machine-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">melon::SupportVectorMachine&lt; T &gt; Class Template Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div></div>
</div><!--header-->
<div class="contents">

<p>Class defining support vector machine to be used in the MAiNGO solver.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="svm_8h_source.html">svm.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for melon::SupportVectorMachine&lt; T &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classmelon_1_1_support_vector_machine.png" usemap="#melon::SupportVectorMachine_3C_20T_20_3E_map" alt=""/>
  <map id="melon::SupportVectorMachine_3C_20T_20_3E_map" name="melon::SupportVectorMachine_3C_20T_20_3E_map">
<area href="classmelon_1_1_melon_model.html" alt="melon::MelonModel&lt; T &gt;" shape="rect" coords="139,0,407,24"/>
<area href="classmelon_1_1_support_vector_machine_one_class.html" title="Class defining support vector machine for one class classification to be used in the MAiNGO solver." alt="melon::SupportVectorMachineOneClass&lt; T &gt;" shape="rect" coords="0,112,268,136"/>
<area href="classmelon_1_1_support_vector_regression.html" title="Class defining support vector machine for regression to be used in the MAiNGO solver." alt="melon::SupportVectorRegression&lt; T &gt;" shape="rect" coords="278,112,546,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1cf7bc508b3f3eb3e6aa2b43578ab867" id="r_a1cf7bc508b3f3eb3e6aa2b43578ab867"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1cf7bc508b3f3eb3e6aa2b43578ab867">SupportVectorMachine</a> ()</td></tr>
<tr class="memdesc:a1cf7bc508b3f3eb3e6aa2b43578ab867"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default Constructor.  <br /></td></tr>
<tr class="separator:a1cf7bc508b3f3eb3e6aa2b43578ab867"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26c00f7ec0bfe43f85dc386ae4832916" id="r_a26c00f7ec0bfe43f85dc386ae4832916"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a26c00f7ec0bfe43f85dc386ae4832916">SupportVectorMachine</a> (std::string modelName)</td></tr>
<tr class="memdesc:a26c00f7ec0bfe43f85dc386ae4832916"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <br /></td></tr>
<tr class="separator:a26c00f7ec0bfe43f85dc386ae4832916"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a401274575c100133a03e8cbf118153d6" id="r_a401274575c100133a03e8cbf118153d6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a401274575c100133a03e8cbf118153d6">SupportVectorMachine</a> (std::string modelPath, std::string modelName)</td></tr>
<tr class="memdesc:a401274575c100133a03e8cbf118153d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <br /></td></tr>
<tr class="separator:a401274575c100133a03e8cbf118153d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbf424b9a1b23030fd3bb259d0b67800" id="r_afbf424b9a1b23030fd3bb259d0b67800"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#afbf424b9a1b23030fd3bb259d0b67800">SupportVectorMachine</a> (std::shared_ptr&lt; const <a class="el" href="structmelon_1_1_svm_data.html">SvmData</a> &gt; modelData)</td></tr>
<tr class="memdesc:afbf424b9a1b23030fd3bb259d0b67800"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <br /></td></tr>
<tr class="separator:afbf424b9a1b23030fd3bb259d0b67800"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2deaf0cc2520318c8208f3d552d040cf" id="r_a2deaf0cc2520318c8208f3d552d040cf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a2deaf0cc2520318c8208f3d552d040cf">get_fullspace_variables</a> (size_t &amp;variableNumber, std::vector&lt; std::string &gt; &amp;variableNames, std::vector&lt; std::pair&lt; double, double &gt; &gt; &amp;variableBounds)</td></tr>
<tr class="memdesc:a2deaf0cc2520318c8208f3d552d040cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates variables for the full space formulation in MAiNGO.  <br /></td></tr>
<tr class="separator:a2deaf0cc2520318c8208f3d552d040cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa24acc1421812ac374878aa9f73007c8" id="r_aa24acc1421812ac374878aa9f73007c8"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa24acc1421812ac374878aa9f73007c8">calculate_prediction_full_space</a> (std::vector&lt; T &gt; input, std::vector&lt; T &gt; internalVariables, std::vector&lt; T &gt; &amp;constraints)</td></tr>
<tr class="memdesc:aa24acc1421812ac374878aa9f73007c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates prediction based on inputs and set constraints for fullspace formulation.  <br /></td></tr>
<tr class="separator:aa24acc1421812ac374878aa9f73007c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af395a6dfdc70892d7ae11ddfda45936d" id="r_af395a6dfdc70892d7ae11ddfda45936d"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#af395a6dfdc70892d7ae11ddfda45936d">calculate_prediction_reduced_space</a> (std::vector&lt; T &gt; input)</td></tr>
<tr class="memdesc:af395a6dfdc70892d7ae11ddfda45936d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates prediction based on inputs in reduced space.  <br /></td></tr>
<tr class="separator:af395a6dfdc70892d7ae11ddfda45936d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b66a6ddb023bd946815e7d1b885b273" id="r_a0b66a6ddb023bd946815e7d1b885b273"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0b66a6ddb023bd946815e7d1b885b273">get_number_of_full_space_variables</a> ()</td></tr>
<tr class="memdesc:a0b66a6ddb023bd946815e7d1b885b273"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates the number of full space variables.  <br /></td></tr>
<tr class="separator:a0b66a6ddb023bd946815e7d1b885b273"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classmelon_1_1_melon_model"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pub_methods_classmelon_1_1_melon_model')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td></tr>
<tr class="memitem:a1c7f4a28d7a34e48a93b9899a66204b0 inherit pub_methods_classmelon_1_1_melon_model" id="r_a1c7f4a28d7a34e48a93b9899a66204b0"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a1c7f4a28d7a34e48a93b9899a66204b0">~MelonModel</a> ()=default</td></tr>
<tr class="memdesc:a1c7f4a28d7a34e48a93b9899a66204b0 inherit pub_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default destructor.  <br /></td></tr>
<tr class="separator:a1c7f4a28d7a34e48a93b9899a66204b0 inherit pub_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9acb78ea183bc6bf583540efcef58a0b inherit pub_methods_classmelon_1_1_melon_model" id="r_a9acb78ea183bc6bf583540efcef58a0b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a9acb78ea183bc6bf583540efcef58a0b">load_model</a> (std::string modelName, <a class="el" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a> fileType)</td></tr>
<tr class="memdesc:a9acb78ea183bc6bf583540efcef58a0b inherit pub_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads new model from file.  <br /></td></tr>
<tr class="separator:a9acb78ea183bc6bf583540efcef58a0b inherit pub_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae002de8e7c020adfcad49ce7e050066e inherit pub_methods_classmelon_1_1_melon_model" id="r_ae002de8e7c020adfcad49ce7e050066e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#ae002de8e7c020adfcad49ce7e050066e">load_model</a> (std::string modelPath, std::string modelName, <a class="el" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a> fileType)</td></tr>
<tr class="memdesc:ae002de8e7c020adfcad49ce7e050066e inherit pub_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads new model from file.  <br /></td></tr>
<tr class="separator:ae002de8e7c020adfcad49ce7e050066e inherit pub_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37fb378f8eabbcfdb7db707dbfa04a26 inherit pub_methods_classmelon_1_1_melon_model" id="r_a37fb378f8eabbcfdb7db707dbfa04a26"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a37fb378f8eabbcfdb7db707dbfa04a26">load_model</a> (std::shared_ptr&lt; const <a class="el" href="struct_model_data.html">ModelData</a> &gt; modelData)</td></tr>
<tr class="memdesc:a37fb378f8eabbcfdb7db707dbfa04a26 inherit pub_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads new model from file.  <br /></td></tr>
<tr class="separator:a37fb378f8eabbcfdb7db707dbfa04a26 inherit pub_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:ad1a0be4db1d52bf32f1651142a422a22" id="r_ad1a0be4db1d52bf32f1651142a422a22"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad1a0be4db1d52bf32f1651142a422a22">_set_data_object</a> (std::shared_ptr&lt; const <a class="el" href="struct_model_data.html">ModelData</a> &gt; modelData) override</td></tr>
<tr class="memdesc:ad1a0be4db1d52bf32f1651142a422a22"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets data object containing model parameters.  <br /></td></tr>
<tr class="separator:ad1a0be4db1d52bf32f1651142a422a22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6565c54b8f61f6ad7e03dab3f56d5b0" id="r_ac6565c54b8f61f6ad7e03dab3f56d5b0"><td class="memItemLeft" align="right" valign="top">T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac6565c54b8f61f6ad7e03dab3f56d5b0">_calculate_prediction</a> (std::vector&lt; T &gt; input, std::vector&lt; T &gt; internalVariables, const bool fullSpace, std::vector&lt; T &gt; &amp;constraints)</td></tr>
<tr class="memdesc:ac6565c54b8f61f6ad7e03dab3f56d5b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculates prediction.  <br /></td></tr>
<tr class="separator:ac6565c54b8f61f6ad7e03dab3f56d5b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b02218e266feb6cced0584c6f965a96" id="r_a4b02218e266feb6cced0584c6f965a96"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a4b02218e266feb6cced0584c6f965a96">_update_kernel</a> ()</td></tr>
<tr class="memdesc:a4b02218e266feb6cced0584c6f965a96"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads kernel according to loaded internal parameters.  <br /></td></tr>
<tr class="separator:a4b02218e266feb6cced0584c6f965a96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf0be2b3dd923d3594af7d93eecc9ca8" id="r_abf0be2b3dd923d3594af7d93eecc9ca8"><td class="memItemLeft" align="right" valign="top">virtual T&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#abf0be2b3dd923d3594af7d93eecc9ca8">_decision_function</a> (std::vector&lt; T &gt; kernelValues)=0</td></tr>
<tr class="memdesc:abf0be2b3dd923d3594af7d93eecc9ca8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Decision function used by the different types of svms.  <br /></td></tr>
<tr class="separator:abf0be2b3dd923d3594af7d93eecc9ca8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classmelon_1_1_melon_model"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pro_methods_classmelon_1_1_melon_model')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td></tr>
<tr class="memitem:a0877da878cabba96d129b5e2540b9eca inherit pro_methods_classmelon_1_1_melon_model" id="r_a0877da878cabba96d129b5e2540b9eca"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a0877da878cabba96d129b5e2540b9eca">MelonModel</a> (std::shared_ptr&lt; <a class="el" href="classmelon_1_1_model_parser_factory.html">ModelParserFactory</a> &gt; parserFactory)</td></tr>
<tr class="memdesc:a0877da878cabba96d129b5e2540b9eca inherit pro_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <br /></td></tr>
<tr class="separator:a0877da878cabba96d129b5e2540b9eca inherit pro_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab783bd628a80774149c34f0e2b8f8f48 inherit pro_methods_classmelon_1_1_melon_model" id="r_ab783bd628a80774149c34f0e2b8f8f48"><td class="memTemplParams" colspan="2">template&lt;typename RandomAccessIterator &gt; </td></tr>
<tr class="memitem:ab783bd628a80774149c34f0e2b8f8f48 inherit pro_methods_classmelon_1_1_melon_model"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#ab783bd628a80774149c34f0e2b8f8f48">_set_constraints</a> (std::vector&lt; T &gt; &amp;constraints, std::vector&lt; T &gt; &amp;constraintEvaluation, RandomAccessIterator &amp;constraintValue) const</td></tr>
<tr class="memdesc:ab783bd628a80774149c34f0e2b8f8f48 inherit pro_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets constraints required for fullspace opimization.  <br /></td></tr>
<tr class="separator:ab783bd628a80774149c34f0e2b8f8f48 inherit pro_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b1045b2b3c48d7e89042abbf042184e inherit pro_methods_classmelon_1_1_melon_model" id="r_a7b1045b2b3c48d7e89042abbf042184e"><td class="memTemplParams" colspan="2">template&lt;typename RandomAccessIterator &gt; </td></tr>
<tr class="memitem:a7b1045b2b3c48d7e89042abbf042184e inherit pro_methods_classmelon_1_1_melon_model"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a7b1045b2b3c48d7e89042abbf042184e">_set_constraints</a> (std::vector&lt; T &gt; &amp;constraints, T &amp;constraintEvaluation, RandomAccessIterator &amp;constraintValue) const</td></tr>
<tr class="memdesc:a7b1045b2b3c48d7e89042abbf042184e inherit pro_methods_classmelon_1_1_melon_model"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets constraints required for fullspace opimization.  <br /></td></tr>
<tr class="separator:a7b1045b2b3c48d7e89042abbf042184e inherit pro_methods_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:aa2b45da4783283842e9cd42846753315" id="r_aa2b45da4783283842e9cd42846753315"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; const <a class="el" href="structmelon_1_1_svm_data.html">SvmData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa2b45da4783283842e9cd42846753315">_data</a></td></tr>
<tr class="separator:aa2b45da4783283842e9cd42846753315"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeeac5223941266357a7711260527808a" id="r_aeeac5223941266357a7711260527808a"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html">kernel::StationaryKernel</a>&lt; double, T &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aeeac5223941266357a7711260527808a">_kernel</a></td></tr>
<tr class="separator:aeeac5223941266357a7711260527808a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae16e1a18a7c8a6237bba83c43f31ed29" id="r_ae16e1a18a7c8a6237bba83c43f31ed29"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classmelon_1_1_scaler.html">Scaler</a>&lt; T &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae16e1a18a7c8a6237bba83c43f31ed29">_inputScaler</a></td></tr>
<tr class="separator:ae16e1a18a7c8a6237bba83c43f31ed29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f2560dacef790d4668cbc27bea19178" id="r_a6f2560dacef790d4668cbc27bea19178"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classmelon_1_1_scaler.html">Scaler</a>&lt; T &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a6f2560dacef790d4668cbc27bea19178">_outputScaler</a></td></tr>
<tr class="separator:a6f2560dacef790d4668cbc27bea19178"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classmelon_1_1_melon_model"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pro_attribs_classmelon_1_1_melon_model')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classmelon_1_1_melon_model.html">melon::MelonModel&lt; T &gt;</a></td></tr>
<tr class="memitem:a17ac3b399c0615c5e4033f532e8cc7c4 inherit pro_attribs_classmelon_1_1_melon_model" id="r_a17ac3b399c0615c5e4033f532e8cc7c4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a17ac3b399c0615c5e4033f532e8cc7c4">_modelLoaded</a> { false }</td></tr>
<tr class="separator:a17ac3b399c0615c5e4033f532e8cc7c4 inherit pro_attribs_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79a4a98914ebfc91398a20b9014726e1 inherit pro_attribs_classmelon_1_1_melon_model" id="r_a79a4a98914ebfc91398a20b9014726e1"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classmelon_1_1_model_parser_factory.html">ModelParserFactory</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classmelon_1_1_melon_model.html#a79a4a98914ebfc91398a20b9014726e1">_parserFactory</a></td></tr>
<tr class="separator:a79a4a98914ebfc91398a20b9014726e1 inherit pro_attribs_classmelon_1_1_melon_model"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><div class="compoundTemplParams">template&lt;typename T&gt;<br />
class melon::SupportVectorMachine&lt; T &gt;</div><p>Class defining support vector machine to be used in the MAiNGO solver. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a1cf7bc508b3f3eb3e6aa2b43578ab867" name="a1cf7bc508b3f3eb3e6aa2b43578ab867"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1cf7bc508b3f3eb3e6aa2b43578ab867">&#9670;&#160;</a></span>SupportVectorMachine() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine</a>&lt; T &gt;::SupportVectorMachine </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default Constructor. </p>

</div>
</div>
<a id="a26c00f7ec0bfe43f85dc386ae4832916" name="a26c00f7ec0bfe43f85dc386ae4832916"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26c00f7ec0bfe43f85dc386ae4832916">&#9670;&#160;</a></span>SupportVectorMachine() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine</a>&lt; T &gt;::SupportVectorMachine </td>
          <td>(</td>
          <td class="paramtype">std::string</td>          <td class="paramname"><span class="paramname"><em>modelName</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">modelName</td><td>is the name of the svm </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a401274575c100133a03e8cbf118153d6" name="a401274575c100133a03e8cbf118153d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a401274575c100133a03e8cbf118153d6">&#9670;&#160;</a></span>SupportVectorMachine() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine</a>&lt; T &gt;::SupportVectorMachine </td>
          <td>(</td>
          <td class="paramtype">std::string</td>          <td class="paramname"><span class="paramname"><em>modelPath</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string</td>          <td class="paramname"><span class="paramname"><em>modelName</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">modelPath</td><td>is the path to the directory in which the svm file is located</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">modelName</td><td>is the name of the svm </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="afbf424b9a1b23030fd3bb259d0b67800" name="afbf424b9a1b23030fd3bb259d0b67800"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbf424b9a1b23030fd3bb259d0b67800">&#9670;&#160;</a></span>SupportVectorMachine() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine</a>&lt; T &gt;::SupportVectorMachine </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; const <a class="el" href="structmelon_1_1_svm_data.html">SvmData</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>modelData</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">modelData</td><td>is a <a class="el" href="structmelon_1_1_svm_data.html" title="Struct containing all information regarding the support vector machine.">SvmData</a> object containing the data which defines the svm </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac6565c54b8f61f6ad7e03dab3f56d5b0" name="ac6565c54b8f61f6ad7e03dab3f56d5b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6565c54b8f61f6ad7e03dab3f56d5b0">&#9670;&#160;</a></span>_calculate_prediction()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine</a>&lt; T &gt;::_calculate_prediction </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; T &gt;</td>          <td class="paramname"><span class="paramname"><em>input</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; T &gt;</td>          <td class="paramname"><span class="paramname"><em>internalVariables</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool</td>          <td class="paramname"><span class="paramname"><em>fullSpace</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; T &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>constraints</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Calculates prediction. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">input</td><td>is a vector of inputs for which the prediction will be evaluated</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">internalVariables</td><td>holds variables that are used in full space formulation and not in reduced space</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">fullSpace</td><td>decides if evaluation shall be done in full or reduced space</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">constraints</td><td>will be filled in case of fullSpace formulation</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the result of the evaluation </dd></dl>

</div>
</div>
<a id="abf0be2b3dd923d3594af7d93eecc9ca8" name="abf0be2b3dd923d3594af7d93eecc9ca8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf0be2b3dd923d3594af7d93eecc9ca8">&#9670;&#160;</a></span>_decision_function()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual T <a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine</a>&lt; T &gt;::_decision_function </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; T &gt;</td>          <td class="paramname"><span class="paramname"><em>kernelValues</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Decision function used by the different types of svms. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">kernelValues</td><td>is a vector containing the kernel evaluations for the the support vectors with the input.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the result of the decision function </dd></dl>

<p>Implemented in <a class="el" href="classmelon_1_1_support_vector_regression.html#a44ff96300fb49cea7bf8d5b70c2c7104">melon::SupportVectorRegression&lt; T &gt;</a>, and <a class="el" href="classmelon_1_1_support_vector_machine_one_class.html#a3855ffdd842f23e3df4ed1f308cc16f0">melon::SupportVectorMachineOneClass&lt; T &gt;</a>.</p>

</div>
</div>
<a id="ad1a0be4db1d52bf32f1651142a422a22" name="ad1a0be4db1d52bf32f1651142a422a22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1a0be4db1d52bf32f1651142a422a22">&#9670;&#160;</a></span>_set_data_object()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine</a>&lt; T &gt;::_set_data_object </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; const <a class="el" href="struct_model_data.html">ModelData</a> &gt;</td>          <td class="paramname"><span class="paramname"><em>modelData</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sets data object containing model parameters. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">modelData</td><td>is a <a class="el" href="struct_model_data.html" title="Abstract class from which specific model data object can be derived and enabling polymorphism.">ModelData</a> object containing the data which defines the model </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classmelon_1_1_melon_model.html#ae1d72d9bbe5993be3d9230395abc0310">melon::MelonModel&lt; T &gt;</a>.</p>

</div>
</div>
<a id="a4b02218e266feb6cced0584c6f965a96" name="a4b02218e266feb6cced0584c6f965a96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b02218e266feb6cced0584c6f965a96">&#9670;&#160;</a></span>_update_kernel()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine</a>&lt; T &gt;::_update_kernel </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Loads kernel according to loaded internal parameters. </p>

</div>
</div>
<a id="aa24acc1421812ac374878aa9f73007c8" name="aa24acc1421812ac374878aa9f73007c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa24acc1421812ac374878aa9f73007c8">&#9670;&#160;</a></span>calculate_prediction_full_space()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine</a>&lt; T &gt;::calculate_prediction_full_space </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; T &gt;</td>          <td class="paramname"><span class="paramname"><em>input</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; T &gt;</td>          <td class="paramname"><span class="paramname"><em>internalVariables</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; T &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>constraints</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calculates prediction based on inputs and set constraints for fullspace formulation. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">input</td><td>is a vector of inputs for which the constraint will be evaluated</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">internalVariables</td><td>holds variables that are used in full space formulation and not in reduced space</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">constraints</td><td>will be filled in case of fullSpace formulation (such that internal Variables are equal to internal evaluation)</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the result of the calculation </dd></dl>

</div>
</div>
<a id="af395a6dfdc70892d7ae11ddfda45936d" name="af395a6dfdc70892d7ae11ddfda45936d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af395a6dfdc70892d7ae11ddfda45936d">&#9670;&#160;</a></span>calculate_prediction_reduced_space()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine</a>&lt; T &gt;::calculate_prediction_reduced_space </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; T &gt;</td>          <td class="paramname"><span class="paramname"><em>input</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calculates prediction based on inputs in reduced space. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">input</td><td>is a vector of inputs for which the constraint will be evaluated</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>returns the result of the calculation </dd></dl>

</div>
</div>
<a id="a2deaf0cc2520318c8208f3d552d040cf" name="a2deaf0cc2520318c8208f3d552d040cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2deaf0cc2520318c8208f3d552d040cf">&#9670;&#160;</a></span>get_fullspace_variables()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine</a>&lt; T &gt;::get_fullspace_variables </td>
          <td>(</td>
          <td class="paramtype">size_t &amp;</td>          <td class="paramname"><span class="paramname"><em>variableNumber</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::string &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>variableNames</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::pair&lt; double, double &gt; &gt; &amp;</td>          <td class="paramname"><span class="paramname"><em>variableBounds</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Creates variables for the full space formulation in MAiNGO. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">variableNumber</td><td>is the number of variables created</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">variableNames</td><td>is a vetor of the corresponding variable names</td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">variableBounds</td><td>is a pair vector of bounds for each variable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0b66a6ddb023bd946815e7d1b885b273" name="a0b66a6ddb023bd946815e7d1b885b273"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b66a6ddb023bd946815e7d1b885b273">&#9670;&#160;</a></span>get_number_of_full_space_variables()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine</a>&lt; T &gt;::get_number_of_full_space_variables </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calculates the number of full space variables. </p>
<dl class="section return"><dt>Returns</dt><dd>returns the number of full space variables </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aa2b45da4783283842e9cd42846753315" name="aa2b45da4783283842e9cd42846753315"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2b45da4783283842e9cd42846753315">&#9670;&#160;</a></span>_data</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;const <a class="el" href="structmelon_1_1_svm_data.html">SvmData</a>&gt; <a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine</a>&lt; T &gt;::_data</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>object containing the data and parameters of the svm </p>

</div>
</div>
<a id="ae16e1a18a7c8a6237bba83c43f31ed29" name="ae16e1a18a7c8a6237bba83c43f31ed29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae16e1a18a7c8a6237bba83c43f31ed29">&#9670;&#160;</a></span>_inputScaler</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt;<a class="el" href="classmelon_1_1_scaler.html">Scaler</a>&lt;T&gt; &gt; <a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine</a>&lt; T &gt;::_inputScaler</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Object for scaling input data </p>

</div>
</div>
<a id="aeeac5223941266357a7711260527808a" name="aeeac5223941266357a7711260527808a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeeac5223941266357a7711260527808a">&#9670;&#160;</a></span>_kernel</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt;<a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html">kernel::StationaryKernel</a>&lt;double, T&gt; &gt; <a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine</a>&lt; T &gt;::_kernel</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>kernel object </p>

</div>
</div>
<a id="a6f2560dacef790d4668cbc27bea19178" name="a6f2560dacef790d4668cbc27bea19178"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f2560dacef790d4668cbc27bea19178">&#9670;&#160;</a></span>_outputScaler</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt;<a class="el" href="classmelon_1_1_scaler.html">Scaler</a>&lt;T&gt; &gt; <a class="el" href="classmelon_1_1_support_vector_machine.html">melon::SupportVectorMachine</a>&lt; T &gt;::_outputScaler</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Object for scaling output data </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/support vector machine/model/inc/<a class="el" href="svm_8h_source.html">svm.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemelon.html">melon</a></li><li class="navelem"><a class="el" href="classmelon_1_1_support_vector_machine.html">SupportVectorMachine</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
